uniform sampler2D Color0;

void main(void)
{
  gl_FragColor = 0.25 * (texture2D(Color0, gl_TexCoord[0].st) +
                         texture2D(Color0, gl_TexCoord[1].st) +
                         texture2D(Color0, gl_TexCoord[2].st) +
                         texture2D(Color0, gl_TexCoord[3].st));
}